Subject: Re: 2.0.0 regression? request pull does not seem to find head

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 3 Jun 2014 00:34:56 +0300

On Mon, Jun 02, 2014 at 02:27:25PM -0700, Junio C Hamano wrote:
> "Michael S. Tsirkin" <[email-masked]> writes:
> 
> > Looks like pull requests no longer work for me on linux.
> 
> Wasn't "does not seem to find head" was very much deliberate?

I'm sorry I don't understand what you are asking here.
Same thing happens if I use a branch name explicitly, not just HEAD.

> Linus's patch wanted the users to explicitly tell the tool, without
> tool trying to be too helpful and risking to guess incorrectly.

So this is an intentional behaviour change?
Which patch do you refer to?

> > Some other trees (non-linux) work fine but I didn't yet
> > check whether it's the local or the remote tree that's
> > at issue.
> >
> > Or maybe it's a configuration change that I missed?
> >
> > Note: I have
> > [push]
> >         default = matching
> > configured in .gitconfig.
> 
> This should not affect anything in request-pull, I think.

I just thought I'd mention this.
push behaviour is the only big incompatible change I'm aware
of between 1.8 which works for me and 2.0 which doesn't.

-- 
MST